D-Bus 1.14.10

Data Fields
DBusHashEntry Struct Reference
D-Bus secret internal implementation details » Hash table implementation details

Internal representation of a hash entry. More...

## Data Fields
DBusHashEntry * | next
| Pointer to next entry in this hash bucket, or NULL for end of chain.
void * | key
| Hash key.
void * | value
| Hash value.

## Detailed Description

Internal representation of a hash entry.

A single entry (key-value pair) in the hash table. Internal to hash table implementation.

Definition at line 149 of file dbus-hash.c.

## Field Documentation

## ◆ key

void* DBusHashEntry::key

Hash key.

Definition at line 155 of file dbus-hash.c.

Referenced by _dbus_hash_iter_get_int_key(), _dbus_hash_iter_get_string_key(), _dbus_hash_iter_get_uintptr_key(), _dbus_hash_iter_lookup(), _dbus_hash_table_insert_int(), _dbus_hash_table_insert_string_preallocated(), and _dbus_hash_table_insert_uintptr().

## ◆ next

DBusHashEntry* DBusHashEntry::next

Pointer to next entry in this hash bucket, or NULL for end of chain.

Definition at line 151 of file dbus-hash.c.

Referenced by _dbus_hash_iter_lookup(), _dbus_hash_iter_next(), and _dbus_hash_table_unref().

## ◆ value

void* DBusHashEntry::value

Hash value.

Definition at line 156 of file dbus-hash.c.

Referenced by _dbus_hash_iter_get_value(), _dbus_hash_iter_set_value(), _dbus_hash_table_insert_int(), _dbus_hash_table_insert_string_preallocated(), _dbus_hash_table_insert_uintptr(), _dbus_hash_table_lookup_int(), _dbus_hash_table_lookup_string(), and _dbus_hash_table_lookup_uintptr().

The documentation for this struct was generated from the following file:

- dbus-hash.c